#!/usr/bin/env python

# TQt tutorial 4.

import sys
from python_tqt import qt


class MyWidget(qt.TQWidget):
    def __init__(self, parent=None, name=None):
        qt.TQWidget.__init__(self, parent, name)

        self.setMinimumSize(200, 120)
        self.setMaximumSize(200, 120)

        quit = qt.TQPushButton("Quit", self, "quit")
        quit.setGeometry(62, 40, 75, 30)
        quit.setFont(qt.TQFont("Times", 18, qt.TQFont.Bold))

        self.connect(quit, qt.SIGNAL("clicked()"), qt.tqApp, qt.SLOT("quit()"))


a = qt.TQApplication(sys.argv)

w = MyWidget()
w.setGeometry(100, 100, 200, 120)
a.setMainWidget(w)
w.show()
sys.exit(a.exec_loop())
